Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache
Interface ChildReferences.Changes

All Known Implementing Classes:
  ChildReferences.NoChanges, SessionNode.ChangedChildren

Enclosing interface:
  ChildReferences

    public static interface ChildReferences.Changes

The representation of a set of changes for the child references.

Method Summary
`ChildReference` | `inserted(NodeKey key)` Get the child reference for the inserted node with the supplied key.
`int` | `insertionCount()` Get the number of child references that were inserted.
`Iterator<ChildReferences.ChildInsertions>` | `insertions(Name name)` Get the references to the children with the supplied name that were inserted.
`ChildReferences.ChildInsertions` | `insertionsBefore(ChildReference key)` Get the set of child references that were inserted before the node with the supplied key.
`boolean` | `isEmpty()` Determine if this set of changes is empty.
`boolean` | `isRemoved(ChildReference ref)` Determine whether the supplied child reference was removed.
`boolean` | `isRenamed(ChildReference ref)` Determine whether the supplied child reference was renamed.
`boolean` | `isRenamed(Name newName)` Determine whether any of the child references were renamed to the supplied name.
`int` | `removalCount()` Get the number of child references that were removed.
`int` | `renameCount()` Get the number of child references that were renamed.
`Name` | `renamed(NodeKey key)` Return the new name for the child node with the supplied key.

Method Detail

### insertions

    Iterator<ChildReferences.ChildInsertions> insertions(Name name)

  Get the references to the children with the supplied name that were inserted.

  Parameters:
    `name` - the name; may not be null
  Returns:
    the iterator over the insertions; never null but possibly empty

### inserted

    ChildReference inserted(NodeKey key)

  Get the child reference for the inserted node with the supplied key.

  Parameters:
    `key` - the node key for the inserted node; may not be null
  Returns:
    the child reference, or null if no node was inserted with the supplied key

### insertionsBefore

    ChildReferences.ChildInsertions insertionsBefore(ChildReference key)

  Get the set of child references that were inserted before the node with the supplied key.

  Parameters:
    `key` - the node key for the node before which the inserted nodes are to be returned; may not be null
  Returns:
    the nodes that were inserted before the node with the supplied key

### isRemoved

    boolean isRemoved(ChildReference ref)

  Determine whether the supplied child reference was removed.

  Parameters:
    `ref` - the reference; may not be null
  Returns:
    true if the child reference was removed, or false otherwise

### isRenamed

    boolean isRenamed(ChildReference ref)

  Determine whether the supplied child reference was renamed.

  Parameters:
    `ref` - the reference; may not be null
  Returns:
    true if the child reference was renamed, or false otherwise

### isRenamed

    boolean isRenamed(Name newName)

  Determine whether any of the child references were renamed to the supplied name.

  Parameters:
    `newName` - the new name; may not be null
  Returns:
    true if at least one child reference was renamed to the supplied name, or false otherwise

### renamed

    Name renamed(NodeKey key)

  Return the new name for the child node with the supplied key.

  Parameters:
    `key` - the child node's key; may not be null
  Returns:
    the new name, or null if the node is not a child or was not renamed

### isEmpty

    boolean isEmpty()

  Determine if this set of changes is empty.

  Returns:
    true if there are no effective changes, or false if there is at least one effective change

### removalCount

    int removalCount()

  Get the number of child references that were removed.

  Returns:
    the number of removed child references; never negative

### insertionCount

    int insertionCount()

  Get the number of child references that were inserted.

  Returns:
    the number of inserted child references; never negative

### renameCount

    int renameCount()

  Get the number of child references that were renamed.

  Returns:
    the number of renamed child references; never negative

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.